using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OASystem.Domain.Entities.Groups
{
    public class Grp_GroupCost: EntityBase
    {
        int diid;
        /// <summary>
        /// 团号
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int Diid
        {
            get { return diid; }
            set { diid = value; }
        }
        string day;
        /// <summary>
        /// 天数
        /// </summary>

        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string DAY
        {
            get { return day; }
            set { day = value; }
        }
        string date;
        /// <summary>
        /// 日期
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(50)")]
        public string Date
        {
            get { return date; }
            set { date = value; }
        }

        string itin;
        /// <summary>
        /// 行程描述
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string ITIN
        {
            get { return itin; }
            set { itin = value; }
        }
        string carType;
        /// <summary>
        /// 车型
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string CarType
        {
            get { return carType; }
            set { carType = value; }
        }

        decimal carCost;
        /// <summary>
        /// 车费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CarCost
        {
            get { return carCost; }
            set { carCost = value; }
        }

        int carNumber;
        /// <summary>
        /// 车数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "int")]
        public int CarNumber
        {
            get { return carNumber; }
            set { carNumber = value; }
        }

        decimal carTiming;
        /// <summary>
        /// 用车时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CarTiming
        {
            get { return carTiming; }
            set { carTiming = value; }
        }

        decimal tgs;
        /// <summary>
        ///  导游工资
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGS
        {
            get { return tgs; }
            set { tgs = value; }
        }

        decimal tgwh;
        /// <summary>
        ///  导游工作时间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGWH
        {
            get { return tgwh; }
            set { tgwh = value; }
        }

        decimal tgn;
        /// <summary>
        ///  导游数量
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGN
        {
            get { return tgn; }
            set { tgn = value; }
        }


        decimal tgof;
        /// <summary>
        /// 导游超时费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGOF
        {
            get { return tgof; }
            set { tgof = value; }
        }

        decimal tgm;
        /// <summary>
        /// 导游餐补
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGM
        {
            get { return tgm; }
            set { tgm = value; }
        }

        decimal tga;
        /// <summary>
        /// 导游房补
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGA
        {
            get { return tga; }
            set { tga = value; }
        }

        decimal tgtf;
        /// <summary>
        /// 导游交通费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGTF
        {
            get { return tgtf; }
            set { tgtf = value; }
        }

        decimal tgef;
        /// <summary>
        /// 导游景点费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGEF
        {
            get { return tgef; }
            set { tgef = value; }
        }

        decimal cfs;
        /// <summary>
        ///  司机工资
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CFS
        {
            get { return cfs; }
            set { cfs = value; }
        }

        /// <summary>
        /// 司机餐补
        /// </summary>
        decimal cfm;
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CFM
        {
            get { return cfm; }
            set { cfm = value; }
        }

        /// <summary>
        /// 司机超时费用
        /// </summary>
        decimal cfof;
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal CFOF
        {
            get { return cfof; }
            set { cfof = value; }
        }

        decimal b;
        /// <summary>
        /// 早餐
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal B
        {
            get { return b; }
            set { b = value; }
        }

        decimal l;
        /// <summary>
        /// 午餐
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal L
        {
            get { return l; }
            set { l = value; }
        }

        decimal d;
        /// <summary>
        /// 晚餐
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal D
        {
            get { return d; }
            set { d = value; }
        }

        decimal tbr;
        /// <summary>
        /// 1/2 双人间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TBR
        {
            get { return tbr; }
            set { tbr = value; }
        }
        decimal sgr;
        /// <summary>
        /// 单间
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal SGR
        {
            get { return sgr; }
            set { sgr = value; }
        }
        decimal jses;
        /// <summary>
        /// 小套房
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal JS_ES
        {
            get { return jses; }
            set { jses = value; }
        }

        decimal suite;
        /// <summary>
        /// 套房
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal Suite
        {
            get { return suite; }
            set { suite = value; }
        }

        string accon;
        /// <summary>
        /// 住宿地名称
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "varchar(500)")]
        public string ACCON
        {
            get { return accon; }
            set { accon = value; }
        }

        decimal tv;
        /// <summary>
        /// 公务活动费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TV
        {
            get { return tv; }
            set { tv = value; }
        }

        decimal il;
        /// <summary>
        /// 邀请函相关费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal iL
        {
            get { return il; }
            set { il = value; }
        }

        decimal iF;
        /// <summary>
        /// 公务翻译费用
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal IF
        {
            get { return iF; }
            set { iF = value; }
        }

        decimal ef;
        /// <summary>
        /// 景点门票
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal EF
        {
            get { return ef; }
            set { ef = value; }
        }

        decimal brf;
        /// <summary>
        /// 饮料零食水果
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal B_R_F
        {
            get { return brf; }
            set { brf = value; }
        }

        decimal te;
        /// <summary>
        /// 出行物资
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TE
        {
            get { return te; }
            set { te = value; }
        }

        decimal tgtips;
        /// <summary>
        /// 导游小费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TGTips
        {
            get { return tgtips; }
            set { tgtips = value; }
        }
        decimal drvtips;
        /// <summary>
        /// 司机小费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal DRVTips
        {
            get { return drvtips; }
            set { drvtips = value; }
        }

        decimal pc;
        /// <summary>
        /// 零用金
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal PC
        {
            get { return pc; }
            set { pc = value; }
        }

        decimal tlf;
        /// <summary>
        /// 领队费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal TLF
        {
            get { return tlf; }
            set { tlf = value; }
        }

        decimal ect;
        /// <summary>
        /// 会务费
        /// </summary>
        [SugarColumn(IsNullable = true, ColumnDataType = "decimal(18,2)")]
        public decimal ECT
        {
            get { return ect; }
            set { ect = value; }
        }


        public string GwCount { get; set; }


        public string FyCount { get; set; }
    }

    public class GroupCostView: Grp_GroupCost
    {

    }
}
